{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ehci_pci" "ata_piix" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ ];
  boot.extraModulePackages = [ ];

  fileSystems = {
    "/" = { device = "/dev/disk/by-uuid/9bcde200-d78b-4d54-b371-5fb8dd371137";
      fsType = "ext4";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/75E4-8437";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };
    "/export/LunaNFS" = {
      device = "/dev/disk/by-uuid/380B71921F406EFC";
      fsType = "ntfs";
      noCheck = true;
    };
    "/home/luna/LunaNFS" = {
      device = "/export/LunaNFS";
      fsType = "none";
      options = [ "bind" ];
    };

    # Atrocity of bindmounts
    "/mnt/nextcloud/data/LunaNFS" = {
      device = "/export/LunaNFS";
      fsType = "none";
      options = [ "bind" ];
    };
    "/var/lib/docker/volumes/azuracast_station_data/_data/wtrf/media/Music" = {
      device = "/export/LunaNFS/stuffs/Music";
      fsType = "none";
      options = [ "bind" ];
    };
  };

  swapDevices = [ ];

  # Enables DHCP on each ethernet and wireless
  networking.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
